Skip to content

Poll status and results of a roadmap check

GET
/projects/{id}/roadmap-check/{checkId}
curl --request GET \
--url https://example.com/api/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/roadmap-check/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>'
id
required
string format: uuid

Project UUID

checkId
required
string format: uuid

Roadmap check status and results

Media type application/json
object
id
string format: uuid
status
string
Allowed values: uploading extracting fetching_code comparing suggesting complete failed
source_filename
string
stories_count
integer
results
object | null
error_message
string | null
created_at
string format: date-time
completed_at
string | null format: date-time

Not authenticated

Media type application/json
object
error
required

Human-readable error message

string
code

Stable machine-readable error code for client branching

string
fieldErrors

First validation message per field path

object
key
additional properties
string
issues

Structured validation issues (Zod)

Array<object>
object
path
required
string
message
required
string
retryAfter

Seconds until rate limit resets (429 responses)

number
reconnect

True if re-linking GitHub may fix the issue

boolean

Forbidden

Media type application/json
object
error
required

Human-readable error message

string
code

Stable machine-readable error code for client branching

string
fieldErrors

First validation message per field path

object
key
additional properties
string
issues

Structured validation issues (Zod)

Array<object>
object
path
required
string
message
required
string
retryAfter

Seconds until rate limit resets (429 responses)

number

Roadmap check not found